<?php
/**
 * Include and setup custom metaboxes and fields.
 *
 * @category YourThemeOrPlugin
 * @package  Metaboxes
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/webdevstudios/Custom-Metaboxes-and-Fields-for-WordPress
 */

add_filter( 'cmb_meta_boxes', 'cmb_jobs' );
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function cmb_jobs( array $meta_boxes ) {

	// Start with an underscore to hide fields from custom fields list
	$prefix = 'cmb_jobs_';

	/**
	 * Sample metabox to demonstrate each field type included
	 */
	$meta_boxes['jobs_metabox'] = array(
		'id'         => 'jobs_metabox',
		'title'      => __( 'تفاصيل الوظيفة', 'cmb' ),
		'pages'      => array( 'jobs', ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		// 'cmb_styles' => true, // Enqueue the CMB stylesheet on the frontend
		'fields'     => array(
			array(
				'name' 		   => __( 'المنصب', 'cmb' ),
				'id'   		   => $prefix . 'position',
				'type' 		   => 'text'
			),
			array(
				'name'         => __( 'سنوات الخبرة', 'cmb' ),
				'id'           => $prefix . 'experience',
				'type'         => 'text'
			),
			array(
				'name'         => __( 'مكان العمل', 'cmb' ),
				'id'           => $prefix . 'location',
				'type'         => 'text'
			),
			array(
				'name'         => __( 'تفاصيل الوظيفة', 'cmb' ),
				'id'           => $prefix . 'details',
				'type'         => 'wysiwyg'
			),
			array(
				'name'         => __( 'إنتهاء الإعلان', 'cmb' ),
				'id'           => $prefix . 'deadline',
				'type'         => 'text_date_timestamp',
				'date_format'  => 'd-F-Y',
			),
		),
	);
	
	// Add other metaboxes as needed

	return $meta_boxes;
}

add_action( 'init', 'cmb_initialize_cmb_jobs', 9999 );
/**
 * Initialize the metabox class.
 */
function cmb_initialize_cmb_jobs() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once 'init.php';

}
