<?php
/**
 * Include and setup custom metaboxes and fields.
 *
 * @category YourThemeOrPlugin
 * @package  Metaboxes
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/webdevstudios/Custom-Metaboxes-and-Fields-for-WordPress
 */

add_filter( 'cmb_meta_boxes', 'cmb_packages' );
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function cmb_packages( array $meta_boxes ) {

	// Start with an underscore to hide fields from custom fields list
	$prefix = 'cmb_packages_';

	/**
	 * Sample metabox to demonstrate each field type included
	 */
	$meta_boxes['packages_metabox'] = array(
		'id'         => 'packages_metabox',
		'title'      => __( 'معلومات العبوة', 'cmb' ),
		'pages'      => array( 'packages', ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		// 'cmb_styles' => true, // Enqueue the CMB stylesheet on the frontend
		'fields'     => array(
			array(
				'name'    => __( 'الأحجام المتوفره', 'cmb' ),
				'id'      => $prefix . 'size',
				'type' => 'multicheck',
				'options' => array(
					'250gm' => '250 جرام',
					'500gm' => '500 جرام',
					'1000gm' => '1 كيلو',
					'1500gm' => '1.5 كيلو',
					'2000gm' => '2 كيلو',
					'5000gm' => '5 كيلو',
				)
			),
			array(
				'name'         => __( 'صور العبوة', 'cmb' ),
				'id'           => $prefix . 'gallery',
				'type'         => 'file_list',
				'preview_size' => array( 100, 100 ), // Default: array( 50, 50 )
			),
			array(
				'name'         => __( 'معلومات عن العبوة', 'cmb' ),
				'id'           => $prefix . 'details',
				'type'         => 'wysiwyg'
			),
		),
	);
	
	// Add other metaboxes as needed

	return $meta_boxes;
}

add_action( 'init', 'cmb_initialize_cmb_packages', 9999 );
/**
 * Initialize the metabox class.
 */
function cmb_initialize_cmb_packages() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once 'init.php';

}
