<?php
/**
 * Include and setup custom metaboxes and fields.
 *
 * @category YourThemeOrPlugin
 * @package  Metaboxes
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/webdevstudios/Custom-Metaboxes-and-Fields-for-WordPress
 */

add_filter( 'cmb_meta_boxes', 'cmb_products' );
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function cmb_products( array $meta_boxes ) {

	// Start with an underscore to hide fields from custom fields list
	$prefix = 'cmb_products_';

	/**
	 * Sample metabox to demonstrate each field type included
	 */
	$meta_boxes['products_metabox'] = array(
		'id'         => 'products_metabox',
		'title'      => __( 'معلومات المنتج', 'cmb' ),
		'pages'      => array( 'products', ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		// 'cmb_styles' => true, // Enqueue the CMB stylesheet on the frontend
		'fields'     => array(
			array(
				'name'    => __( 'محتوى تعريفي عن المنتج', 'cmb' ),
				'id'      => $prefix . 'about',
				'type' => 'wysiwyg'
			),
		),
	);
	
	// Add other metaboxes as needed

	return $meta_boxes;
}

add_action( 'init', 'cmb_initialize_cmb_products', 9999 );
/**
 * Initialize the metabox class.
 */
function cmb_initialize_cmb_products() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once 'init.php';

}
