<?php

function remove_wp_logo( $wp_admin_bar ) {
	$wp_admin_bar->remove_node( 'wp-logo' );
	$wp_admin_bar->remove_menu('updates');
	$wp_admin_bar->remove_menu('comments');
}
add_action( 'admin_bar_menu', 'remove_wp_logo', 999 );
//add_filter('show_admin_bar', '__return_false');



function custom_admin_elements() {
?>
    <style type='text/css'>
		#wpfooter{background-color:#DDD;}
		#adminmenu li.menu-top{border-bottom:1px solid #111111;}
    </style>
<?php
}
add_action('admin_head', 'custom_admin_elements');


// Remove Menus
function remove_submenus() {
  global $submenu;
  //Dashboard menu
  unset($submenu['index.php'][10]); // Removes Updates
  //Posts menu
  unset($submenu['edit.php'][5]); // Leads to listing of available posts to edit
  unset($submenu['edit.php'][10]); // Add new post
  unset($submenu['edit.php'][15]); // Remove categories
  unset($submenu['edit.php'][16]); // Removes Post Tags
  //Media Menu
//  unset($submenu['upload.php'][5]); // View the Media library
//  unset($submenu['upload.php'][10]); // Add to Media library
  //Links Menu
  unset($submenu['link-manager.php'][5]); // Link manager
  unset($submenu['link-manager.php'][10]); // Add new link
  unset($submenu['link-manager.php'][15]); // Link Categories
  //Appearance Menu
  unset($submenu['themes.php'][15]); // Removes Theme Installer tab
  //Tools Menu
  unset($submenu['tools.php'][5]); // Tools area
  unset($submenu['tools.php'][10]); // Import
  unset($submenu['tools.php'][15]); // Export
  unset($submenu['tools.php'][20]); // Upgrade plugins and core files
}
add_action('admin_menu', 'remove_submenus');

function edit_admin_menus() {
	remove_menu_page('tools.php');
	remove_menu_page('edit.php');
	remove_menu_page('link-manager.php');
}  
add_action( 'admin_menu', 'edit_admin_menus' ); 


function my_remove_menu_elements(){
remove_submenu_page( 'themes.php', 'theme-editor.php' );
}
add_action('admin_init', 'my_remove_menu_elements', 102);


class Replace_WP_Dashboard {
    protected $capability = 'read';
    protected $title;
    final public function __construct() {
        if( is_admin() ) {
            add_action( 'init', array( $this, 'init' ) );
        }
    }
    final public function init() {
        if( current_user_can( $this->capability ) ) {
            $this->set_title();
            add_filter( 'admin_title', array( $this, 'admin_title' ), 10, 2 );
            add_action( 'admin_menu', array( $this, 'admin_menu' ) );
            add_action( 'current_screen', array( $this, 'current_screen' ) );
        }
    }
    /**
     * Sets the page title for your custom dashboard
     */
    function set_title() {
        if( ! isset( $this->title ) ) {
            $this->title = __( 'Dashboard' );
        }
    }
    /**
     * Output the content for your custom dashboard
     */
    function page_content() {
        $content = __( 'Welcome to your new dashboard!' );
        echo <<<HTML
<div class="wrap">
    <h2>{$this->title}</h2>
    <p>{$content}</p>
</div>
HTML;
    }
    /**
     * Fixes the page title in the browser.
     *
     * @param string $admin_title
     * @param string $title
     * @return string $admin_title
     */
    final public function admin_title( $admin_title, $title ) {
        global $pagenow;
        if( 'admin.php' == $pagenow && isset( $_GET['page'] ) && 'custom-page' == $_GET['page'] ) {
            $admin_title = $this->title . $admin_title;
        }
        return $admin_title;
    }
    final public function admin_menu() {
        /**
         * Adds a custom page to WordPress
         */
        add_menu_page( $this->title, '', 'manage_options', 'custom-page', array( $this, 'page_content' ) );
        /**
         * Remove the custom page from the admin menu
         */
        remove_menu_page('custom-page');
        /**
         * Make dashboard menu item the active item
         */
        global $parent_file, $submenu_file;
        $parent_file = 'index.php';
        $submenu_file = 'index.php';
        /**
         * Rename the dashboard menu item
         */
        global $menu;
        $menu[2][0] = $this->title;
        /**
         * Rename the dashboard submenu item
         */
        global $submenu;
        $submenu['index.php'][0][0] = $this->title;
    }
    /**
     * Redirect users from the normal dashboard to your custom dashboard
     */
    final public function current_screen( $screen ) {
        if( 'dashboard' == $screen->id ) {
            wp_safe_redirect( admin_url('themes.php?page=theme-configuration') );
            exit;
        }
    }
}
new Replace_WP_Dashboard();

//add_action( 'init', 'unregister_taxonomy');
//function unregister_taxonomy(){
//    global $wp_taxonomies;
//    $taxonomy = 'category';
//    if ( taxonomy_exists( $taxonomy))
//        unset( $wp_taxonomies[$taxonomy]);
//}
