<?php

function jobs_custom_post() {
	$labels = array(
		'name'               => _x( 'الوظائف', 'post type general name' ),
		'singular_name'      => _x( 'الوظائف', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'jobs' ),
		'add_new_item'       => __( 'أضف وظيفة جديدة' ),
		'edit_item'          => __( 'تعديل وظيفة' ),
		'new_item'           => __( 'وظيفة جديدة' ),
		'all_items'          => __( 'كل الوظائف' ),
		'view_item'          => __( 'عرض الوظيفة' ),
		'search_items'       => __( 'البحث في الوظائف' ),
		'not_found'          => __( 'لا يوجد وظائف' ),
		'not_found_in_trash' => __( 'لا يوجد وظائف  في سلة المهملات' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'الوظائف'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title' ),
		'has_archive'   => true,
		'exclude_from_search'   => false,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false
	);
	register_post_type( 'jobs', $args );	
}
add_action( 'init', 'jobs_custom_post' );

function jobs_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['jobs'] = array(
		0 => '', 
		1 => sprintf( __('تم التحديث. <a href="%s">عرض الوظيفة</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث الوظيفة.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة الوظيفة من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض الوظيفة</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ الوظيفة.'),
		8 => sprintf( __('تم ارسال الوظيفة. <a target="_blank" href="%s">عرض الوظيفة</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ الوظيفة للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض الوظيفة</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث الوظيفة كمسوده. <a target="_blank" href="%s">عرض الوظيفة</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'jobs_post_updated_messages', 'jobs_updated_messages' );

?>