<?php

function offers_custom_post() {
	$labels = array(
		'name'               => _x( 'العروض', 'post type general name' ),
		'singular_name'      => _x( 'العروض', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'offers' ),
		'add_new_item'       => __( 'أضف عرض جديد' ),
		'edit_item'          => __( 'تعديل عرض' ),
		'new_item'           => __( 'عرض جديدة' ),
		'all_items'          => __( 'كل العروض' ),
		'view_item'          => __( 'عرض العرض' ),
		'search_items'       => __( 'البحث في العروض' ),
		'not_found'          => __( 'لا يوجد عروض' ),
		'not_found_in_trash' => __( 'لا يوجد عروض في سلة المهملات' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'العروض'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
		'exclude_from_search'   => false,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false
	);
	register_post_type( 'offers', $args );	
}
add_action( 'init', 'offers_custom_post' );

function offers_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['offers'] = array(
		0 => '', 
		1 => sprintf( __('تم التحديث. <a href="%s">عرض العرض</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث العرض.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة العرض من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض العرض</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ العرض.'),
		8 => sprintf( __('تم ارسال العرض. <a target="_blank" href="%s">عرض العرض</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ العرض للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض العرض</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث العرض كمسوده. <a target="_blank" href="%s">عرض العرض</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'offers_post_updated_messages', 'offers_updated_messages' );

?>