<?php

function packages_custom_post() {
	$labels = array(
		'name'               => _x( 'العبوات', 'post type general name' ),
		'singular_name'      => _x( 'العبوات', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'packages' ),
		'add_new_item'       => __( 'أضف عبوة جديد' ),
		'edit_item'          => __( 'تعديل عبوه' ),
		'new_item'           => __( 'عبوة جديدة' ),
		'all_items'          => __( 'كل العبوات' ),
		'view_item'          => __( 'عرض العبوة' ),
		'search_items'       => __( 'البحث في العبوات' ),
		'not_found'          => __( 'لا يوجد عبوات' ),
		'not_found_in_trash' => __( 'لا يوجد عبوات في سلة المهملات' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'العبوات'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
		'exclude_from_search'   => false,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false
	);
	register_post_type( 'packages', $args );	
}
add_action( 'init', 'packages_custom_post' );

function packages_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['packages'] = array(
		0 => '', 
		1 => sprintf( __('تم التحديث. <a href="%s">عرض العبوة</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث العبوة.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة العبوة من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض العبوة</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ العبوة.'),
		8 => sprintf( __('تم ارسال العبوة. <a target="_blank" href="%s">عرض العبوة</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ العبوة للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض العبوة</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث العبوة كمسوده. <a target="_blank" href="%s">عرض العبوة</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'packages_post_updated_messages', 'packages_updated_messages' );

?>