<?php

function products_custom_post() {
	$labels = array(
		'name'               => _x( 'المنتجات', 'post type general name' ),
		'singular_name'      => _x( 'المنتجات', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'products' ),
		'add_new_item'       => __( 'أضف منتج جديد' ),
		'edit_item'          => __( 'تعديل منتج' ),
		'new_item'           => __( 'منتج جديد' ),
		'all_items'          => __( 'كل المنتجات' ),
		'view_item'          => __( 'عرض المنتج' ),
		'search_items'       => __( 'البحث في المنتجات' ),
		'not_found'          => __( 'لا يوجد منتجات' ),
		'not_found_in_trash' => __( 'لا يوجد منتجات في سلة المهملات' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'المنتجات'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
		'exclude_from_search'   => false,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false
	);
	register_post_type( 'products', $args );	
}
add_action( 'init', 'products_custom_post' );

function products_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['products'] = array(
		0 => '', 
		1 => sprintf( __('تم التحديث. <a href="%s">عرض المنتج</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث المنتج.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة المنتج من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض المنتج</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ المنتج.'),
		8 => sprintf( __('تم ارسال المنتج. <a target="_blank" href="%s">عرض المنتج</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ المنتج للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض المنتج</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث المنتج كمسوده. <a target="_blank" href="%s">عرض المنتج</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'products_post_updated_messages', 'products_updated_messages' );

?>